<!-- Edit this file to change the layout of the detail view form -->

<a name="detail-view"></a>
<div class="panel-heading"><h3 class="panel-title"><strong><%%DETAIL_VIEW_TITLE%%></strong></h3></div>

<div class="panel-body" id="entete_dv_container">
	<!-- child links -->
	<div class="row vspacer-md">
		<div class="col-xs-12">
			<input type="hidden" id="gestion_transactions_hclink" value="gestion_transactions_view.php?filterer_avec_entete=<%%URLVALUE(identete)%%>&<%%EMBEDDED%%>">
			<input type="hidden" id="gestion_changes_hclink" value="gestion_changes_view.php?filterer_avec_entete=<%%URLVALUE(identete)%%>&<%%EMBEDDED%%>">
			<input type="hidden" id="reunions_hclink" value="reunions_view.php?filterer_avec_entete=<%%URLVALUE(identete)%%>&<%%EMBEDDED%%>">
			<div class="clearfix"></div>
		</div>
	</div>
	<hr class="hidden-xs hidden-sm">

	<div class="row">
		<!-- form inputs -->
		<div class="col-md-8 col-lg-10" id="entete_dv_form">
			<fieldset class="form-horizontal">

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="nom" class="control-label col-lg-3">Nom de l'ent&#234;te</label>
					<div class="col-lg-9">
						<input maxlength="80" type="text" class="form-control" name="nom" id="nom" value="<%%VALUE(nom)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="raison_sociale" class="control-label col-lg-3">Raison sociale</label>
					<div class="col-lg-9">
						<input maxlength="255" type="text" class="form-control" name="raison_sociale" id="raison_sociale" value="<%%VALUE(raison_sociale)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="description" class="control-label col-lg-3">Infos banque</label>
					<div class="col-lg-9">
						<input maxlength="255" type="text" class="form-control" name="description" id="description" value="<%%VALUE(description)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="adresse" class="control-label col-lg-3">Adresse</label>
					<div class="col-lg-9">
						<input maxlength="80" type="text" class="form-control" name="adresse" id="adresse" value="<%%VALUE(adresse)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="telephone" class="control-label col-lg-3">T&#233;l&#233;phone</label>
					<div class="col-lg-9">
						<input maxlength="80" type="text" class="form-control" name="telephone" id="telephone" value="<%%VALUE(telephone)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="whatsapp" class="control-label col-lg-3">WhatsApp</label>
					<div class="col-lg-9">
						<input maxlength="80" type="text" class="form-control" name="whatsapp" id="whatsapp" value="<%%VALUE(whatsapp)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="email" class="control-label col-lg-3">Email</label>
					<div class="col-lg-9">
						
						<div>
							<a id="email-link" href="mailto:<%%VALUE(email)%%>" target="_blank"><%%VALUE(email)%%></a>
							<label for="email"><button type="button" id="email-edit-link" class="btn btn-default hspacer-lg vspacer-sm" data-toggle="collapse" data-target="#email" title="<%%TRANSLATION(Edit)%%>"><i class="glyphicon glyphicon-pencil"></i></button></label>
						</div>
						<script>jQuery(function() { /* */ var e_email = '<%%VALUE(email)%%>'; if(e_email == '' || e_email == '&nbsp;' || e_email == 'blank.gif') jQuery('#email-link').hide(); });</script><input maxlength="80" type="text" class="form-control collapse" name="email" id="email" value="<%%VALUE(email)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="site_web" class="control-label col-lg-3">Site web</label>
					<div class="col-lg-9">
						
						<div class="row">
							<div class="col-md-8">
								<a id="site_web-link" href="link.php?t=entete&f=site_web&i=<%%VALUE(identete)%%>" target="_blank"><%%VALUE(site_web)%%></a>
								<label for="site_web"><button type="button" id="site_web-edit-link" class="btn btn-default hspacer-lg vspacer-sm" data-toggle="collapse" data-target="#site_web" title="<%%TRANSLATION(Edit)%%>"><i class="glyphicon glyphicon-pencil"></i></button></label>
							</div> <!-- /div.col-* -->
							<script>jQuery(function() { /* */ var e_site_web = '<%%VALUE(site_web)%%>'; if(e_site_web == '' || e_site_web == '&nbsp;' || e_site_web == 'blank.gif') jQuery('#site_web-link').hide(); });</script><input maxlength="80" type="text" class="form-control collapse" name="site_web" id="site_web" value="<%%VALUE(site_web)%%>">					</div>

					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="bp" class="control-label col-lg-3">BP</label>
					<div class="col-lg-9">
						<input maxlength="80" type="text" class="form-control" name="bp" id="bp" value="<%%VALUE(bp)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="footer_3" class="control-label col-lg-3">Pied de page</label>
					<div class="col-lg-9">
						<%%HTMLAREA(footer_3)%%>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label class="control-label col-lg-3">Logo Marega Voyages <i class="glyphicon glyphicon-info-sign text-info" data-toggle="collapse" data-target="#logo-description"></i></label>
					<div class="col-lg-9">
						<span class="help-block collapse" id="logo-description"><div class="alert alert-info">Maximum file size allowed: 500 KB.<br>Allowed file types: jpg, jpeg, gif, png</div></span>

						<div class="form-control-static well well-sm"><div class="pull-left">

						<a href="<%%TRANSLATION(ImageFolder)%%><%%VALUE(logo)%%>" data-lightbox="entete_dv"><img src="thumbnail.php?i=<%%VALUE(logo)%%>&t=entete&f=logo&v=dv" class="img-thumbnail" id="logo-image"></a>
</div>

												<div class="pull-right well upload-toolbox">
							<div class="hidden-md hidden-lg vspacer-lg"></div>
							<%%UPLOADFILE(logo)%%>
							<%%REMOVEFILE(logo)%%>
							<div class="text-bold text-danger file-type-error hidden">
								<%%TRANSLATION(invalid file type)%%>
							</div>
							<div class="text-bold text-danger file-size-error hidden">
								<%%TRANSLATION(file too large)%%>
							</div>
						</div>
						<div class="clearfix"></div>
					</div>

					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label class="control-label col-lg-3">Logo partenaire <i class="glyphicon glyphicon-info-sign text-info" data-toggle="collapse" data-target="#logop-description"></i></label>
					<div class="col-lg-9">
						<span class="help-block collapse" id="logop-description"><div class="alert alert-info">Maximum file size allowed: 500 KB.<br>Allowed file types: jpg, jpeg, gif, png</div></span>

						<div class="form-control-static well well-sm"><div class="pull-left">

						<a href="<%%TRANSLATION(ImageFolder)%%><%%VALUE(logop)%%>" data-lightbox="entete_dv"><img src="thumbnail.php?i=<%%VALUE(logop)%%>&t=entete&f=logop&v=dv" class="img-thumbnail" id="logop-image"></a>
</div>

												<div class="pull-right well upload-toolbox">
							<div class="hidden-md hidden-lg vspacer-lg"></div>
							<%%UPLOADFILE(logop)%%>
							<%%REMOVEFILE(logop)%%>
							<div class="text-bold text-danger file-type-error hidden">
								<%%TRANSLATION(invalid file type)%%>
							</div>
							<div class="text-bold text-danger file-size-error hidden">
								<%%TRANSLATION(file too large)%%>
							</div>
						</div>
						<div class="clearfix"></div>
					</div>

					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="devise" class="control-label col-lg-3">Devise</label>
					<div class="col-lg-9">
						<input maxlength="80" type="text" class="form-control" name="devise" id="devise" value="<%%VALUE(devise)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="signataire" class="control-label col-lg-3">Signataire</label>
					<div class="col-lg-9">
						<input maxlength="80" type="text" class="form-control" name="signataire" id="signataire" value="<%%VALUE(signataire)%%>">
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="observations" class="control-label col-lg-3">Observations</label>
					<div class="col-lg-9">
						<textarea class="form-control" name="observations" id="observations" rows="5"><%%VALUE(observations)%%></textarea>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="groupe" class="control-label col-lg-3">Groupe</label>
					<div class="col-lg-9">
						<div class="form-control-static" id="groupe"><%%VALUE(groupe)%%></div>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="agent" class="control-label col-lg-3">Agent</label>
					<div class="col-lg-9">
						<div class="form-control-static" id="agent"><%%VALUE(agent)%%></div>
					</div>
				</div>

			</fieldset>
		</div>

		<!-- DV action buttons -->
		<hr class="hidden-md hidden-lg">
		<div class="col-md-4 col-lg-2" id="entete_dv_action_buttons">
			<div class="btn-toolbar">
				<div class="btn-group-vertical btn-group-lg" style="width: 100%;">
					<%%UPDATE_BUTTON%%>
				</div><p></p>
				<div class="btn-group-vertical btn-group-lg" style="width: 100%;">
					<%%DESELECT_BUTTON%%>
					<%%DVPRINT_BUTTON%%>
					<%%DELETE_BUTTON%%>
				</div><p></p>
				<div class="btn-group-vertical btn-group-lg" style="width: 100%;">
					<%%INSERT_BUTTON%%>
				</div>
			</div>
		</div>
	</div>


	<!-- child records -->
	<hr>
	<div class="row">
		<div class="col-lg-10 col-lg-offset-1">
			<div id="entete-children" class="children-tabs"></div>
		</div>
	</div>

</div><!-- /div class="panel-body" -->
	<script src="nicEdit.js"></script>
	<script>
		$j(function() {
			var add_new_mode = (!$j('input[name=SelectedID]').val());
			var embedded_mode = ($j('input[name=Embedded]').val() == 1);

			/* auto-close embedded page? */
			var autoclose_mode = ($j('input[name=AutoClose]').val() == 1);
			var record_added_ok = (location.search.split('record-added-ok=').length == 2);
			var record_updated_ok = (location.search.split('record-updated-ok=').length == 2);
			if((record_added_ok || record_updated_ok) && embedded_mode && autoclose_mode) {
				setTimeout(AppGini.closeParentModal, 2000);
			}

			bkLib.onDomLoaded(function() {
				if($j('textarea#footer_3').length) new nicEditor({ fullPanel : true }).panelInstance('footer_3');

				$j('.nicEdit-panelContain').parent().width('100%');
				$j('.nicEdit-panelContain').parent().next().width('98%');
				$j('.nicEdit-main').width('99%');
			});
			/* enable DV action buttons to float on scrolling down the form */
			enable_dvab_floating();

			setTimeout(AppGini.focusFirstFormElement, 1500);

			$j('form').eq(0).change(function() {
				if($j(this).data('already_changed')) return;
				if($j('#deselect').length) $j('#deselect').removeClass('btn-default').addClass('btn-warning').get(0).lastChild.data = " <%%TRANSLATION(Cancel)%%>";
				$j(this).data('already_changed', true);
			});

			// try to detect rich text changes by adding 'input' handler after nicedit is loaded ...
			AppGini.detectContentEditableChanges();

			$j('a[href="<%%TRANSLATION(ImageFolder)%%>"]').click(function() { /* */ return false; });

			if(embedded_mode) {
				/* hide links to children tables in embedded mode */
				$j('.detail_view a[id$=_link]').remove();

				/* append embedded mode to all links */
				var append_embedded = function() {
					$j('a[href]:not([href^="#"]):not([href^="javascript"]):not([href$="Embedded=1"]):not([href*="link.php?t="]):not([href^="mailto:"])').each(
						function() {
							$j(this).attr('href', $j(this).attr('href') + '&Embedded=1');
						}
					);
				}
				setTimeout(append_embedded, 500);
				setTimeout(append_embedded, 1500);
				setTimeout(append_embedded, 2500);
				setTimeout(append_embedded, 3500);
			}

			/* when no record is selected ('add new' mode) */
			if(add_new_mode) {
				/* hide links to children tables */
				$j('.detail_view a[id$=_link]').remove();
			}else{
				post(
					'parent-children.php', {
						ParentTable: 'entete',
						SelectedID: '<%%VALUE(identete)%%>',
						Operation: 'show-children'
					},
					'entete-children'
				);
			}

			if(!embedded_mode) {
				/* add a horizontal spacer to [add new parent] buttons that don't have a spacered element before them */
				$j('.add_new_parent').prev(':not(.hspacer-md)').next().addClass('hspacer-md');

				$j('.add_new_parent').click(function() {
					var pt = $j(this).attr('id').replace(/_add_new$/, '');
					modal_window({
						url: pt + '_view.php?addNew_x=1&Embedded=1',
						close: function() {
							var field_id = $j('#' + pt + '_add_new').prevAll('input:hidden').eq(0).attr('id');
							$j('#' + field_id + '-container').select2('focus').select2('focus');

							/* if a new parent was added, select it */
							var new_id = localStorage.getItem(pt + '_last_added_id');
							if(new_id === null) return;

							localStorage.clear(pt + '_last_added_id');
							AppGini.lookupText({
								id: new_id,
								table: 'entete',
								field: field_id,
								callback: function(data) {
									$j('#' + field_id + '-container').select2('data', data, true);
								}
							});
						},
						size: 'full',
						title: $j(this).attr('title')
					});
				});
			}

			AppGini.hideViewParentLinks();

			$j('form').on('click', '.view_parent', function() {
				var pt = $j(this).attr('id').replace(/_view_parent$/, '');
				if($j(this).prevAll('input:hidden').length) {
					var parent_id = $j(this).prevAll('input:hidden').eq(0).val();
				}else{
					var parent_id = $j(this).prevAll().children('input:hidden').eq(0).val();
				}

				/* handle radio lookups */
				if($j(this).prevAll('[type=radio]').length) {
					parent_id = $j(this).prevAll('[type=radio]').eq(0).val();
				}

				if(parent_id != '{empty_value}' && parent_id != undefined && parent_id != '') {
					var parent_link = $j(this).parents('.form-group').children('label').data('parent_link');
					switch(parent_link) {
						case 'view_parent_hidden':
							break;
						case 'view_parent_modal':
							modal_window({
								url: pt + '_view.php?Embedded=1&SelectedID=' + encodeURIComponent(parent_id),
								close: function() {
									var field_id = $j('#' + pt + '_view_parent').prevAll('input:hidden').eq(0).attr('id');
									$j('#' + field_id + '-container').select2('focus').select2('focus');
								},
								size: 'full',
								title: $j(this).attr('title')
							});
							break;
						case 'view_parent_same_window':
							window.location = pt + '_view.php?Embedded=' + (embedded_mode ? '1' : '') + '&SelectedID=' + encodeURIComponent(parent_id);
							break;
						case 'view_parent_new_window':
							window.open(pt + '_view.php?SelectedID=' + encodeURIComponent(parent_id));
							break;
					}

				}
			});


			/* load admin tools for admin user */
			if(!add_new_mode) {
				$j('body').append('<div id="admin-tools-appendix"></div>');
				$j('#admin-tools-appendix').load(
					'ajax_admin_tools.php?table=entete&id=<%%URLVALUE(identete)%%>',
					function(resp) {
						if(!resp.length) return;
						$j.ajax('ajax_admin_tools.php?action=get_admin_tools_js&table=entete&id=<%%URLVALUE(identete)%%>');
					}
				);
			}

			/* warn user if 'add new' clicked while unsaved changes exist */
			$j('#addNew').click(function() {
				if($j('#deselect.btn-warning').length) {
					return confirm('<%%TRANSLATION(discard changes confirm)%%>');
				}
			});

		});
	</script>